--- /dev/null
+#!/bin/sh
+
+set -e
+
+case "$1" in
+ remove)
+ ( echo "(parameterize ((param:suppress-loading-message? #t))"
+ echo " (load-option 'ffi)"
+ echo " ((access delete-plugin-list (->environment '(ffi build)))))" ) \
+ | /usr/bin/mit-scheme-pucked --batch-mode
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
$(INSTALL_DATA) $(top_srcdir)/etc/optiondb.scm \
$(DESTDIR)$(AUXDIR)/.; \
else echo "$(DESTDIR)$(AUXDIR)/optiondb.scm already exists"; fi
- @if ! test -e $(DESTDIR)$(AUXDIR)/plugins.scm; then \
- $(INSTALL_DATA) $(top_srcdir)/etc/plugins.scm \
- $(DESTDIR)$(AUXDIR)/.; \
- else echo "$(DESTDIR)$(AUXDIR)/plugins.scm already exists"; fi
$(INSTALL_DATA) lib/*.com $(DESTDIR)$(AUXDIR)/.
.PHONY: default-target all all-native all-liarc macosx-app
new))
(else
(error "Unexpected plugin-list operation:" operation)))))
- (begin
- (warn "plugin list not found:" filename)
- '()))))
+ (cond ((eq? operation 'add)
+ (let ((new (list plugin)))
+ (call-with-exclusive-output-file
+ filename
+ (lambda (out) (write new out)))
+ new))
+ ((eq? operation 'remove)
+ (warn "plugin list not found:" filename)
+ '())
+ (else
+ (error "Unexpected plugin-list operation:" operation))))))
+
+(define (delete-plugin-list)
+ (let ((path (merge-pathnames "plugins.scm"
+ (system-library-directory-pathname))))
+ (if (file-exists? path) (delete-file path))))
(define (update-optiondb plugins scmlibdir)
(let ((filename (string scmlibdir"optiondb.scm")))